from app.models import Corpus, CorpusStatus
import os
import shutil
from . import bp


@bp.cli.command('reset')
def reset():
    ''' Reset built corpora. '''
    status = [
        CorpusStatus.QUEUED,
        CorpusStatus.BUILDING,
        CorpusStatus.BUILT,
        CorpusStatus.STARTING_ANALYSIS_SESSION,
        CorpusStatus.RUNNING_ANALYSIS_SESSION,
        CorpusStatus.CANCELING_ANALYSIS_SESSION
    ]
    for corpus in [x for x in Corpus.query.all() if x.status in status]:
        shutil.rmtree(os.path.join(corpus.path, 'cwb'), ignore_errors=True)
        corpus.status = CorpusStatus.SUBMITTED
        corpus.num_analysis_sessions = 0
